> This page is for Afterpay Online Developer, version v1.
> For other versions, use one of these documentation indexes:
> - Main (default): https://developers-beta.afterpay.com/afterpay-online-developer/main/llms.txt
> - v1: https://developers-beta.afterpay.com/afterpay-online-developer/v-1/llms.txt
> - Chinese: https://developers-beta.afterpay.com/afterpay-online-developer/chinese/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers-beta.afterpay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers-beta.afterpay.com/_mcp/server.

# List Payments

GET https://global-api-sandbox.afterpay.com/v1/payments/environment:{environment}

This endpoint retrieves a collection of payments along with their order details.

### Connection Timeouts
| Timeout |	Time (Seconds) |
| ------- | ------------ |
| Open |	10 |
| Read	| 20 |

Reference: https://developers-beta.afterpay.com/afterpay-online-developer/api-reference/reference/payments/list-payments

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `environment` (string, required) — Use `api-sandbox` for AU/NZ, or `api.us-sandbox` for US.

### Query parameters

- `toCreatedDate` (string, optional) — An inclusive end date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
- `fromCreatedDate` (string, optional) — An inclusive start date and time to search, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.
- `limit` (integer, optional, default: 20) — The number of results to retrieve. Must be between 1 and 250 (inclusive).
- `offset` (integer, optional, default: 0) — The position to start the results at. The first result has a position of 0.
- `tokens` (list of string, optional) — One or more order tokens to search for.
- `ids` (list of string, optional) — One or more Afterpay Order IDs to search for.
- `merchantReferences` (list of string, optional) — One or more Merchant Reference IDs to search for.
- `statuses` (list of string, optional) — One or more Afterpay Order Statuses to search for. Possible values include "APPROVED" and "DECLINED".
- `orderBy` (string, optional, default: createdAt) — A field to order results by. If provided, must be one of "createdAt", "id", "totalAmount", "merchantReference" or "email".
- `ascending` (boolean, optional, default: false) — `true` to order results in ascending order, or `false` for descending order.

### Headers

- `Accept` (string, optional, default: application/json)

## Response

### 200

Returns the matching Payment objects, enclosed in a Pagination object.

## Errors

### 422 Unprocessable Entity Error

An invalid query param was provided. For example, a value for `limit` was provided, but was less than 1 or more than 250.

- `any`

### 500 Internal Server Error

This is usually caused by sending a fromCreatedDate or toCreatedDate in an invalid format. Please ensure the dash and colon characters are included, and any plus characters are URL-encoded. Also, for the array parameters (`ids`, `tokens`, `merchantReferences` and `statuses`), do not use comma-separated values or square brackets. Instead, include each parameter multiple times, as needed.

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://global-api-sandbox.afterpay.com/v1/payments/environment:environment"

headers = {
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://global-api-sandbox.afterpay.com/v1/payments/environment:environment';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {'User-Agent': 'User-Agent', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v1/payments/environment:environment"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("User-Agent", "User-Agent")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v1/payments/environment:environment")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["User-Agent"] = 'User-Agent'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://global-api-sandbox.afterpay.com/v1/payments/environment:environment")
  .header("User-Agent", "User-Agent")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://global-api-sandbox.afterpay.com/v1/payments/environment:environment', [
  'headers' => [
    'User-Agent' => 'User-Agent',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v1/payments/environment:environment");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("User-Agent", "User-Agent");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "User-Agent": "User-Agent",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v1/payments/environment:environment")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```